Subject: Re: [Bitcoin-development] Peer Discovery and Overlay

From: Mike Hearn <[email-masked]>
Date: Tue, 24 Dec 2013 18:15:00 +0100

Thanks Warren! That's great. It's also a prerequisite for chain pruning, so
it's not only about decentralisation but also scalability.

Looking forward to reviewing and merging that.

On Tue, Dec 24, 2013 at 6:11 PM, Warren Togami Jr. <[email-masked]>wrote:

> I was concerned about this issue so we sponsored BlueMatt to implement an
> address database for bitcoinj.  In the future it won't be entirely reliant
> on what DNS tells it.
>
> Warren
>
>
> On Tue, Dec 24, 2013 at 6:02 AM, Peter Todd <[email-masked]> wrote:
>
>> As for node addresses being a service, that's what the DNS seeds are!
>>  bitcoinj clients, for instance, depend very heavily on those seeds and
>> can be easily compromised in a variety of ways by them.
>>
>
>
> ------------------------------------------------------------------------------
> Rapidly troubleshoot problems before they affect your business. Most IT
> organizations don't have a clear picture of how application performance
> affects their revenue. With AppDynamics, you get 100% visibility into your
> Java,.NET, & PHP application. Start your 15-day FREE TRIAL of AppDynamics
> Pro!
> http://pubads.g.doubleclick.net/gampad/clk?id=84349831&iu=/4140/ostg.clktrk
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>
>